# Retrieve a single decision For compatibility with CDN, any web headers (Referrer, User-Agent) will be accepted and passed onto the rule engine Endpoint: GET /zephr/decision-engine Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Query parameters: - `sdkFeatureSlug` (string, required) Feature SDK slug Example: "featureX" - `session` (string, required) Zephr Session ID, required for trials. Example: "xxx-xxx-xxx" - `foreign_id.xxx` (string, required) Foreign ID used to identify the user. The foreign system is parsed as the remainder of the parameter key name following 'foreign_id.' Example: "xxx-xxx-xxx" - `ip` (string, required) Client IP address, defaults to request IP. Example: "x.x.x.x" - `userAgent` (string, required) Client user agent Example: "Mozilla/5.0 (Macintosh; Intel Mac OS X 11)..." - `path` (string, required) Request path, required for trials. Example: "/x.html" - `content_id` (string, required) Content ID, used to perform requests to a 3rd party API for additional content information used in making a decision. Example: "xxx-xxx-xxx" - `jwt` (string, required) A Json web token, may include identity or product holding claims. Example: "xxx-xxx-xxx" - `raw` (boolean, required) Should output raw value ## Response 200 fields (*/*): - `sdkFeatureSlug` (string, required) The slug of the SDK feature which has been evaluated. Example: "sdk-feature-1" - `outputType` (string) Feature output type. Present if there were no errors. Enum: "ENUM", "STRING", "NUMBER", "JSON", "TRANSFORMATION", "COMPONENT" - `outputValue` (string) Feature output value. Present if there were no errors. - For the 'JSON_COMPONENT' output type, the response will be stringified JSON. - For the 'TRANSFORMATION' output type, the response will contain a stringified JSON array of transformations to be applied, including ENABLE_CONTENT, CUSTOM_COMPONENT, TEMPLATE_COMPONENT and FORM. Example: "YES" - `error` (string) The error message explaining why this decision failed to resolve. Present only if there was an error. Example: "500: Internal error ..."